<?php

namespace IZON\Admin\Domain;

use \IZON\DB\DBObject;

/**
 * vazba mezi rolemi a moduly
 */
class AdminUserRole implements DBObject {
    
    /**
     * nazev tabulky na kterou se mapuje
     */
    public static function __tableName() { return 'core_admin_user_roles'; }
    
    /**
     * @var integer 
     */
    protected $id;

    /**
     * @var integer
     */
    protected $fkAdminRoleId;
    
    /**
     * @var integer
     */
    protected $fkAdminUserId;
    
    
    function getId() {
        return $this->id;
    }

    function setId($id) {
        $this->id = $id;
    }
    
    function getFkAdminRoleId() {
        return $this->fkAdminRoleId;
    }

    function getFkAdminUserId() {
        return $this->fkAdminUserId;
    }

    function setFkAdminRoleId($fkAdminRoleId) {
        $this->fkAdminRoleId = $fkAdminRoleId;
    }

    function setFkAdminUserId($fkAdminUserId) {
        $this->fkAdminUserId = $fkAdminUserId;
    }
}
